/* ----------------------------------------------------------
/*  System component like valve, pump, connector and others.
/* -------------------------------------------------------- */
.mini-sidebar {
  .water-to-valve-line {
    width: 83.5% !important;
  }
}

.active-state {
  background: $active !important;
  color: $white !important;
}

.inactive-state {
  background: $inactive;
  color: $white;
}

.component {
  border: $border-width solid $border-color !important;
  font-weight: 700;
  background: $white;
  z-index: 3;
  position: relative;
  padding: 0.5rem;
  //width: fit-content;
}

.connector {
  height: 4.2rem;
  width: 100%;
}

.pump {
  z-index: 2;
}
